

package gov.va.med.cds.uniqueidentifier;


import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertNotNull;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;
import gov.va.med.cds.junit.runners.Suite;

import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(SuiteAwareRunner.class)
public class RandomGuidTest
{
    @Test
    @Suite( groups = "appservertest" )
    public void testRandomGuidNonSecure( )
    {
        RandomGuid guid = new RandomGuid( false );
        assertNotNull( guid.toString() );
        assertFalse( "".equals( guid.toString() ) );
    }


    @Test
    @Suite( groups = "appservertest" )
    public void testRandomGuidSecure( )
    {
        RandomGuid guid = new RandomGuid( true );
        assertNotNull( guid.toString() );
        assertFalse( "".equals( guid.toString() ) );
    }
}
